// Popis: Plugin s novou sadou ikon
// Autor: VasaM
// Licence: CC BY 4.0 CZ

const iconsVasaM = {
	'Traditional Cache': 'traditional',
	'Multi-cache': 'multi',
	'Unknown Cache': 'unknown',
	'Unknown Cache solved': 'unknown_solved',
	'Letterbox Hybrid': 'letter',
	'Virtual Cache': 'virtual',
	'Webcam Cache': 'webcam',
	'Event Cache': 'event',
	'Cache In Trash Out Event': 'cito',
	'Earthcache': 'earth',
	'Wherigo Cache': 'wherigo',
	'Mega-Event Cache': 'mega',
	'Giga-Event Cache': 'giga',
	'GPS Adventures Exhibit': 'gps',
	'ape': 'ape',
	'Lab Cache': 'lab',
	'Final Location': 'final',
	'Parking Area': 'parking',
	'Question to Answer': 'question',
	'Stages of a Multicache': 'stages',
	'Trailhead': 'trailhead',
	'Reference Point': 'reference',
	'reverse': 'reverse',
	'waypoint': 'waypoint',
	'point': 'point',
	'v_question': 'v_question',
	'v_stages': 'v_stages',
}


var cacheIcon_def, wptIcon_def;
var icons_def, iconsMy_def, iconsNa_def;

var cacheIcon_VasaM, wptIcon_VasaM;
var icons_VasaM = [], iconsMy_VasaM = [], iconsNa_VasaM = [];


function updateLegend() {
	legenda.innerHTML = "";
	// NactiLegendu();
}

function setVasaMIcons() {
	defaultIcon = cacheIcon_VasaM;
	defaultWptIcon = wptIcon_VasaM;

	ikony   = icons_VasaM;
	ikonymy = iconsMy_VasaM;
	ikonyna = iconsNa_VasaM;

	updateLegend();
	load_ajax();
}


function setDefaultIcons() {
	defaultIcon = cacheIcon_def;
	defaultWptIcon = wptIcon_def;

	ikony   = icons_def;
	ikonymy = iconsMy_def;
	ikonyna = iconsNa_def;

	updateLegend();
	load_ajax();
}


function prepareIcons() {
	$.each(iconsVasaM, function(key) {
		icons_VasaM[key] = {
			icon: L.icon({
				iconUrl: './plugin/IconSet/' + this + '.png',
				iconSize: [18,30],
				iconAnchor: [9,30],
				popupAnchor: [0,-20],
				tooltipAnchor: [0,-20]
			}),
			url: './plugin/IconSet/' + this + '.png'
		};
		
		iconsMy_VasaM[key] = {
			icon: L.icon({
				iconUrl: './plugin/IconSet/' + this + '.my.png',
				iconSize: [18,30],
				iconAnchor: [9,30],
				popupAnchor: [0,-20],
				tooltipAnchor: [0,-20]
			}),
			url: './plugin/IconSet/' + this + '.my.png'
		};

		iconsNa_VasaM[key] = {
			icon: L.icon({
				iconUrl: './plugin/IconSet/' + this + '.na.png',
				iconSize: [18,30],
				iconAnchor: [9,30],
				popupAnchor: [0,-20],
				tooltipAnchor: [0,-20]
			}),
			url: './plugin/IconSet/' + this + '.na.png'
		}
	});


	cacheIcon_VasaM = L.icon({
		iconUrl: './plugin/IconSet/green.png',
		iconSize:      [18, 30],
		iconAnchor:    [9,  30],
		popupAnchor:   [0, -20],
		tooltipAnchor: [0, -20],
	});
	
	wptIcon_VasaM = L.icon({
		iconUrl: './plugin/IconSet/waypoint.png',
		iconSize:      [18, 30],
		iconAnchor:    [9,  30],
		popupAnchor:   [0, -20],
		tooltipAnchor: [0, -20],
	});



}


function IconSet_ggm_init() {
	ggmregister('onload', function() {
		icons8Copyright();
		addCopyright('Ikony', 'Ikony od Norbert_G z <a href="https://www.geoget.cz/doku.php/user:skript:keskomapa" target="_blank">Keškomapy</a>');
	});
	

	// ggmregister('loadicons', function() {
	NactiIkony = function() {
		// Ulozim vychozi ikony
		icons_def   = ikony;
		iconsMy_def = ikonymy;
		iconsNa_def = ikonyna;
		cacheIcon_def = defaultIcon;
		wptIcon_def   = defaultWptIcon;

		// Pripravim novou sadu
		prepareIcons();

		// Vymenim sady
		setVasaMIcons();


		// addFilter('Icons set', 'plugin/IconSet/icons.png', 'icon_switch', -1);
		// $("#icon_switch").setTheSwitch({
		// 	steps: 2,
		// 	action: 'on',
		// 	onClickOn:  function(e) {setVasaMIcons();},
		// 	onClickOff: function(e) {setDefaultIcons();}
		// });
	};
	// });


	ggmregister('pointname', function() {
		data = arguments[0][1];
		if (data.fi == 1) {
			switch (data.t) {
				case 'Unknown Cache':
					data.t = 'Unknown Cache solved';
			}
		}
	});
}
